Debian Bug report logs - #493896
deborphan: hackish parser implementation in combination with abortion on parsing errors causes the package to be unusable in many cases

version graph

Package: deborphan; Maintainer for deborphan is deborphan devel team <deborphan-devel@lists.alioth.debian.org>; Source for deborphan is src:deborphan.

Reported by: Carsten Hey <c.hey@web.de>

Date: Tue, 5 Aug 2008 19:03:04 UTC

Severity: grave

Merged with 493695

Found in version deborphan/1.7.25

Fixed in version deborphan/1.7.26

Done: Carsten Hey <c.hey@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#493896; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <c.hey@web.de>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: bugs@debian.org
Subject: deborphan: hackish parser implementation in combination with abortion on parsing errors causes the package to be unusable in many cases
Date: Tue, 5 Aug 2008 21:00:07 +0200
Package: deborphan
Version: 1.7.25
Severity: grave

Installing a package which control file contains "Standards-Version:" or
any other field that begins with "St" causes deborphan to think this
line would be the "Status:" line.

This parsing hack, which exists since many years, improves the
performance of deborphan, but in combination with the abortion if the
status line is not in a proper state it renders the package unusable in
many cases.

One package which has such a control file is the unofficial F-PROT
Antivirus Free Version.


Carsten




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#493896; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <c.hey@web.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 493896@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: control@bugs.debian.org
Cc: 493896@bugs.debian.org
Subject: setting package to deborphan, tagging 493896
Date: Thu, 07 Aug 2008 10:36:08 +0200
# Automatically generated email from bts, devscripts version 2.10.29~bpo40+1
#
# deborphan (1.7.26) unstable; urgency=low
#
#  * Check whether get_pkg_info() correctly detected a line as status line
#    before abortion.  (Closes: #493896)
#

package deborphan
tags 493896 + pending





Tags added: pending Request was from Carsten Hey <c.hey@web.de> to control@bugs.debian.org. (Thu, 07 Aug 2008 08:39:05 GMT) Full text and rfc822 format available.

Merged 493695 493896. Request was from Carsten Hey <c.hey@web.de> to control@bugs.debian.org. (Thu, 07 Aug 2008 09:51:04 GMT) Full text and rfc822 format available.

Reply sent to Carsten Hey <c.hey@web.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Hey <c.hey@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 493896-close@bugs.debian.org (full text, mbox):

From: Carsten Hey <c.hey@web.de>
To: 493896-close@bugs.debian.org
Subject: Bug#493896: fixed in deborphan 1.7.26
Date: Fri, 15 Aug 2008 21:32:04 +0000
Source: deborphan
Source-Version: 1.7.26

We believe that the bug you reported is fixed in the latest version of
deborphan, which is due to be installed in the Debian FTP archive:

deborphan_1.7.26.dsc
  to pool/main/d/deborphan/deborphan_1.7.26.dsc
deborphan_1.7.26.tar.gz
  to pool/main/d/deborphan/deborphan_1.7.26.tar.gz
deborphan_1.7.26_i386.deb
  to pool/main/d/deborphan/deborphan_1.7.26_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Carsten Hey <c.hey@web.de> (supplier of updated deborphan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Aug 2008 19:37:18 +0200
Source: deborphan
Binary: deborphan
Architecture: source i386
Version: 1.7.26
Distribution: unstable
Urgency: high
Maintainer: Carsten Hey <c.hey@web.de>
Changed-By: Carsten Hey <c.hey@web.de>
Description: 
 deborphan  - program that can find unused packages, e.g. libraries
Closes: 492487 492803 493091 493564 493785 493896 493906
Changes: 
 deborphan (1.7.26) unstable; urgency=high
 .
   * Urgency set to high as is solves an RC bug.
   * Check whether get_pkg_info() correctly detected a line as status line
     before abortion.  (Closes: #493896)
   * Translation updates. Many thanks to:
     - Miroslav Kure for the updated Czech translation.  (Closes: #492487)
     - Javier Fernandez-Sanguino Peña for the updated Spanish translation.
       (Closes: #492803)
     - Thijs Kinkhorst for the updated Dutch translation.  (Closes: #493091)
     - Helge Kreutzmann for the updated German translation.  (Closes: #493906)
     - Yuri Kozlov for the new Russian translation.  (Closes: #493564)
     - Pedro Ribeiro for the new Portuguese  translation.  (Closes: #493785)
   * Mention correct licenses of orphaner in the file COPYRIGHT.
Checksums-Sha1: 
 22638fc983b002b9eb30d308c09701a98a0d1f6f 805 deborphan_1.7.26.dsc
 44ef3e9e36dc93021cbcb52936f75e747e7153b2 283245 deborphan_1.7.26.tar.gz
 aaafcc4b339f2ae1d852db621f5bf7f55063ca16 79654 deborphan_1.7.26_i386.deb
Checksums-Sha256: 
 20ab4ef0e2227d680115cc3ce7fc03c52ee7f7cebe794e41cc9fd0cca54742a6 805 deborphan_1.7.26.dsc
 cdce83242e936489277ba999fcb486a5b32190f48f949d8e8c595f72d914e9a2 283245 deborphan_1.7.26.tar.gz
 439f87945fb58b0416b3ce9b9daf40ddbe834ade9aeab5644042ded3f381d364 79654 deborphan_1.7.26_i386.deb
Files: 
 f401527cb1239b3c9257478a0cc585fc 805 admin optional deborphan_1.7.26.dsc
 66d7e95d6584acf371ff05cd8d5c5dbe 283245 admin optional deborphan_1.7.26.tar.gz
 19ebfd3fcba38940c1e4ef8fb34adc2e 79654 admin optional deborphan_1.7.26_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkil8b0ACgkQBxd04ADYzRYKlwCfT8z2NgVw4iyvWBT14ZxYdDv0
47cAn2AmyI+FR/ckgduDdJXto8K7Gbs0
=h4YA
-----END PGP SIGNATURE-----





Reply sent to Carsten Hey <c.hey@web.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Florek <thflorek@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Sep 2008 07:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:57:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.